VULKAN_HPP_NAMESPACE::FlagTraits< SwapchainCreateFlagBitsKHR > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum | { allFlags = VkFlags(SwapchainCreateFlagBitsKHR::eSplitInstanceBindRegions) | VkFlags(SwapchainCreateFlagBitsKHR::eProtected) }

## Detailed Description

Definition at line 34277 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 34279 of file vulkan.hpp.

{
allFlags = VkFlags(SwapchainCreateFlagBitsKHR::eSplitInstanceBindRegions) | VkFlags(SwapchainCreateFlagBitsKHR::eProtected)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::FlagTraits< SwapchainCreateFlagBitsKHR >::allFlags
@ allFlags
Definition: vulkan.hpp:34281
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::SwapchainCreateFlagBitsKHR::eSplitInstanceBindRegions
@ eSplitInstanceBindRegions
VULKAN_HPP_NAMESPACE::SwapchainCreateFlagBitsKHR::eProtected
@ eProtected